<div
  class="w-full xl:max-w-screen-xl 2xl:max-w-screen-2xl m-auto"
  *ngIf="search"
>
  <owl-carousel-o
    [options]="propertiesOptions"
    *ngIf="properties.length > 0; else loading"
  >
    <ng-template
      carouselSlide
      *ngFor="let property of properties; let i = index"
    >
      <div
        class="transition-all bg-white rounded-lg cursor-pointer border-2 border-transparent hover:border-odb-400 ml-0.5"
      >
        <div
          class="rounded-t overflow-hidden w-full mb-4 h-48"
          [routerLink]="['/inmueble/', property.reference]"
        >
          <img
            [src]="property.propertyMultimedias[0].uri"
            class="h-full w-full object-cover"
            [alt]="i"
          />
        </div>
        <div [routerLink]="['/inmueble/', property.reference]">
          <h2
            class="px-1 text-3xl font-bold text-gray-800 block mb-2"
            *ngIf="property.price !== 0"
          >
            {{ property.price | currency: 'EUR':'symbol':'3.0' }}
          </h2>
          <h2
            class="px-1 text-3xl leading-7 font-bold text-gray-800 block mb-4"
            *ngIf="property.price === 0"
          >
            A consultar
          </h2>
          <h4
            class="px-2 text-gray-700 text-lg font-bold mt-2 mb-3 leading-5 truncate"
          >
            {{ property.propertySubtype.name }} en
            {{ property.municipality.name }}

            <span class="font-medium text-gray-600 text-lg"
              ><br />
              {{ property.municipality.province?.name }}</span
            >
          </h4>
          <ul class="px-2 flex w-full mb-3 font-bold">
            <li
              [ngClass]="{
                'text-sm': true,
                'pr-2 mr-2 border-r border-gray-300':
                  property.bathroomsNumber || property.underRoofSqm
              }"
              *ngIf="property.roomsNumber"
            >
              {{ property.roomsNumber }} habs.
            </li>
            <li
              [ngClass]="{
                'text-sm': true,
                'pr-2 mr-2 border-r border-gray-300': property.underRoofSqm
              }"
              *ngIf="property.bathroomsNumber"
            >
              {{ property.bathroomsNumber }}
              {{ property.bathroomsNumber > 1 ? 'baños' : 'baño' }}.
            </li>
            <li [ngClass]="{ 'text-sm': true }" *ngIf="property.underRoofSqm">
              {{ property.underRoofSqm }} m².
            </li>
          </ul>
        </div>
        <ul class="px-2 flex w-full mb-3">
          <li
            class="transition-all px-2 py-1 mr-2 cursor-pointer text-odb-800 hover:bg-odb-400 rounded hover:text-gray-200"
          >
            <a><i class="text-2xl bi bi-envelope"></i></a>
          </li>
          <li
            class="transition-all px-2 py-1 mr-2 cursor-pointer text-odb-800 hover:bg-odb-400 rounded hover:text-gray-200"
          >
            <a><i class="text-2xl bi bi-share"></i></a>
          </li>
        </ul>
      </div>
    </ng-template>
  </owl-carousel-o>
</div>

<ng-template #loading>
  <div class="w-full h-96 mb-24 loading-gray"></div>
</ng-template>
